> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Send Blast

> Send a test blast to the currently authenticated user (no DB record).



## OpenAPI

````yaml post /comms/blasts/test-send
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/blasts/test-send:
    post:
      tags:
        - Message Blasts
      summary: Test Send Blast
      description: Send a test blast to the currently authenticated user (no DB record).
      operationId: test_send_blast_comms_blasts_test_send_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlastTestSendRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Test Send Blast Comms Blasts Test Send Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastTestSendRequest:
      properties:
        channel:
          $ref: '#/components/schemas/BlastChannel'
        smsContent:
          anyOf:
            - type: string
            - type: 'null'
          title: Smscontent
        emailSubject:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailsubject
        emailBodyHtml:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailbodyhtml
        emailPreviewText:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailpreviewtext
        fromName:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Fromname
        attachments:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attachments
        isMarketing:
          type: boolean
          title: Ismarketing
          default: false
      type: object
      required:
        - channel
      title: BlastTestSendRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlastChannel:
      type: string
      enum:
        - SMS
        - EMAIL
      title: BlastChannel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````